Package htsjdk.samtools

# Class BAMQueryMultipleIntervalsIteratorFilter

java.lang.Object
htsjdk.samtools.BAMQueryMultipleIntervalsIteratorFilter

public class BAMQueryMultipleIntervalsIteratorFilter extends Object
Filters out records that do not match any of the given intervals and query type.

## Constructor Summary

Constructors
Constructor
Description
`BAMQueryMultipleIntervalsIteratorFilter(QueryInterval[] intervals, boolean contained)`

## Method Summary

Modifier and Type
Method
Description
`static htsjdk.samtools.BAMIteratorFilter.IntervalComparison`
`compareIntervalToRecord(QueryInterval interval, SAMRecord record)`
`htsjdk.samtools.BAMIteratorFilter.FilteringIteratorState`
`compareToFilter(SAMRecord record)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BAMQueryMultipleIntervalsIteratorFilter

public BAMQueryMultipleIntervalsIteratorFilter(QueryInterval[] intervals, boolean contained)

## Method Details

### compareToFilter

public htsjdk.samtools.BAMIteratorFilter.FilteringIteratorState compareToFilter(SAMRecord record)

### compareIntervalToRecord

public static htsjdk.samtools.BAMIteratorFilter.IntervalComparison compareIntervalToRecord(QueryInterval interval, SAMRecord record)